Skip to main content
GET
/
v1
/
options
/
snapshot
/
{underlyingAsset}
/
{optionContract}
Get option contract snapshot
curl --request GET \
  --url https://api.aries.com/v1/options/snapshot/{underlyingAsset}/{optionContract} \
  --header 'Authorization: Bearer <token>'
{
  "requestId": "6901ccfe43be44e62c437b958758e480",
  "results": {
    "breakEvenPrice": 260.625,
    "day": {
      "change": 0,
      "changePercent": 0,
      "close": 147.62,
      "high": 148.41,
      "lastUpdated": 1775678400000000000,
      "low": 147.62,
      "open": 148.41,
      "previousClose": 147.62,
      "volume": 4,
      "vwap": 147.9625
    },
    "details": {
      "contractType": "call",
      "exerciseStyle": "american",
      "expirationDate": "2026-04-10",
      "sharesPerContract": 100,
      "strikePrice": 110,
      "ticker": "O:AAPL260410C00110000"
    },
    "fmv": 150.626,
    "fmvLastUpdated": 1775764519938981000,
    "greeks": {
      "delta": 0.9866008816205978,
      "gamma": 0.00030351939549158076,
      "theta": -2.5708677258514525,
      "vega": 0.00384419352968541
    },
    "impliedVolatility": 9.52866677365293,
    "lastQuote": {
      "ask": 152.4,
      "askExchange": 300,
      "askSize": 135,
      "bid": 148.85,
      "bidExchange": 300,
      "bidSize": 136,
      "lastUpdated": 1775764799797068500,
      "midpoint": 150.625,
      "timeframe": "REAL-TIME"
    },
    "lastTrade": {
      "conditions": [
        240
      ],
      "exchange": 308,
      "price": 147.62,
      "sipTimestamp": 1775665726017723100,
      "size": 1,
      "timeframe": "REAL-TIME"
    },
    "openInterest": 1,
    "underlyingAsset": {
      "changeToBreakEven": 0.639,
      "lastUpdated": 1775779195495831800,
      "price": 259.986,
      "ticker": "AAPL",
      "timeframe": "DELAYED"
    }
  },
  "status": "OK"
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Path Parameters

underlyingAsset
string
required

Underlying equity symbol (for example AAPL).

Example:

"AAPL"

optionContract
string
required

OCC-format options contract identifier (for example O:AAPL240119C00190000).

Example:

"O:AAPL260410C00110000"

Response

Option contract snapshot returned successfully.

Single option contract snapshot (OptionContractSnapshotResponse). Responses may be cached for about five minutes.

requestId
string

Request identifier from the data provider.

status
string

Provider status (for example OK).

results
object

One option contract row in a snapshot response (OptionContractSnapshotDataDTO). Optional fields are omitted when absent.

nextUrl
string

Pagination URL when applicable; omitted when not used.